PPI::Statement::When(3)

NAME
PPI::Statement::When - Describes all compound statements

SYNOPSIS
  foreach ( qw/ foo bar baz / ) {
      when ( m/b/ ) {
          boing($_);
      }
      when ( m/f/ ) {
          boom($_);
      }
      default {
          tchak($_);
      }
  }

INHERITANCE
  PPI::Statement::When
  isa PPI::Statement
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Statement::When" objects are used to describe when and default statements, as described in perlsyn.

METHODS
"PPI::Structure::When" has no methods beyond those provided by the standard PPI::Structure, PPI::Node and PPI::Element methods.

Got any ideas for methods? Submit a report to rt.cpan.org!

TO DO
- Write unit tests for this package

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.